alias main {
  if $dialog(main) = $null { dialog -m main main }
  else halt
}

dialog main {
  title "Контрольная панель"
  size -1 -1 590 437
  option windows
  icon icons\cpanel.ico, 0
  box "", 1234, 5 -1 580 433
  box "", 1235, 5 -1 580 250
  list 1, 10 10 570 333
  box "" 201, 5 320 580 80
  icon 200, 15 175 560 380, pictures\main.gif
  edit "Информации о функциях IRc0p Script", 213, 85 405 250 20, read center
  edit "/Команды", 223, 390 405 110 20, read center
}


on *:dialog:main:init:*: {
  dll libraries\mdx.dll MarkDialog cpanel
  dll libraries\mdx.dll SetControlMDX cpanel 1 toolbar arrows nodivider flat wrap noresize > libraries\bars.mdx
  dll libraries\mdx.dll SetBorderStyle 1
  did -i $dname 1 1 bmpsize 32 32
  did -i $dname 1 1 setimage +nh icon large icons\help.ico
  did -i $dname 1 1 setimage +nh icon large icons\chars.ico
  did -i $dname 1 1 setimage +nh icon large icons\autoconn.ico
  did -i $dname 1 1 setimage +nh icon large icons\ajoin.ico
  did -i $dname 1 1 setimage +nh icon large icons\autoid.ico
  did -i $dname 1 1 setimage +nh icon large icons\radio.ico
  did -i $dname 1 1 setimage +nh icon large icons\security.ico
  did -i $dname 1 1 setimage +nh icon large icons\INT.ico
  did -i $dname 1 1 setimage +nh icon large icons\away.ico
  did -i $dname 1 1 setimage +nh icon large icons\commands.ico
  did -i $dname 1 1 setimage +nh icon large icons\alarm.ico
  did -i $dname 1 1 setimage +nh icon large icons\abook.ico
  did -i $dname 1 1 setimage +nh icon large icons\fkeys.ico
  did -i $dname 1 1 setimage +nh icon large icons\nickcolors.ico
  did -i $dname 1 1 setimage +nh icon large icons\channels.ico
  did -i $dname 1 1 setimage +nh icon large icons\inface.ico
  did -i $dname 1 1 setimage +nh icon large icons\access.ico
  did -i $dname 1 1 setimage +nh icon large icons\la.ico
  did -i $dname 1 1 setimage +nh icon large icons\sms.ico
  did -i $dname 1 1 setimage +nh icon large icons\services.ico
  did -i $dname 1 1 setimage +nh icon large icons\autojoin.ico
  did -i $dname 1 1 setimage +nh icon large icons\charlist.ico
  did -i $dname 1 1 setimage +nh icon large icons\black.ico
  did -i $dname 1 1 setimage +nh icon large icons\winamp.ico
  did -i $dname 1 1 setimage +nh icon large icons\explor.ico
  did -a $dname 1 +b 2 Настройка Сообщений $+ $chr(9) $+ Сообщение при открытие,закрытие,кике,и при выходе.
  did -a $dname 1 +b 3 Авто соединение $+ $chr(9) $+ Автоматически соединяет вас с сервером при запуске скрипта.
  did -a $dname 1 +b 4 Авто вход $+ $chr(9) $+ При удачном соединении IRc0p Script автоматически зайдёт на определённые каналы.
  did -a $dname 1 +b 5 Авто идент $+ $chr(9) $+ Идентифицирует ваш ник при входе в сеть,перед NickServ'erom.
  did -a $dname 1 +b 6 Радио $+ $chr(9) $+ Список радиостанций.
  did -a $dname 1 +b 7 Система безопасности $+ $chr(9) $+ Обезопасит вас от нежелательных действий врага.
  did -a $dname 1 +b 8 Менедржер скинов $+ $chr(9) $+  Скин менеджер
  did -a $dname 1 +b 9 Настройка AWAY  $+ $chr(9) $+ Настройка сообщение при выходе.
  did -a $dname 1 +b 10 Выбрать стиль скрипта $+ $chr(9) $+ Эта настройка поможет вам выбрать стиль,оформление в скрипте.
  did -a $dname 1 +b 11 Будильник $+ $chr(9) $+ Разбудит вас в определённое время.
  did -a $dname 1 +b 12 Адресная книга $+ $chr(9) $+ Создайте список ников ваших друзей или сотрудников.
  did -a $dname 1 +b 13 Виртуальная клавиатура $+ $chr(9) $+ Сообщение через виртуальную клавиатуру.
  did -a $dname 1 +b 14 Подсветка ников $+ $chr(9) $+ Красиво оформит список ников на каналах.
  did -a $dname 1 +b 15 Поисковая машина $+ $chr(9) $+ Найдите требуемую информацию на популярнейших поисковых веб узлах.
  did -a $dname 1 +b 16 Выбор иконок $+ $chr(9) $+ Выбирете иконки для скритпа.
  did -a $dname 1 +b 17 Прописчик ников $+ $chr(9) $+ Легко и быстро пропишет любой ник на определённый канал.
  did -a $dname 1 +b 18 Настройка клавиш $+ $chr(9) $+ Управление стиля клавиш.
  did -a $dname 1 +b 19 Настройка вспл. сообщ. $+ $chr(9) $+ В этом меню вы можете настроить всплывающее сообщение цвет,размер и тп.
  did -a $dname 1 +b 20 Настройка обращения $+ $chr(9) $+ Нажми,для натсройки выделение ника.
  did -a $dname 1 +b 21 Антивирус $+ $chr(9) $+ Поможет избавиться от некоторых IRC вирусов.
  did -a $dname 1 +b 22 Таблица символов $+ $chr(9) $+ Показывает ACSI код.
  did -a $dname 1 +b 23 Черный Список $+ $chr(9) $+ Эта функция скрипта помогает вам вести войну с юзером.. этот скрипт будет банить\деопать по вашему жедаю юзера с чернога списка..
  did -a $dname 1 +b 24 Винамп контроллер $+ $chr(9) $+ Винамп контроллер управляет наипопулярнейшим мультимедиа проигрывателем.
  did -a $dname 1 +b 25 Поситить сайт Скрипта $+ $chr(9) $+ Посетить Сайт Создателя IRc0p Script.
  did -a $dname 1 0 + %cpanel.cnt 0 0 $gettok($readini($shortfn($scriptdircpanel.ini),cpanel,%cpanel.cnt),213,222)
}
on *:dialog:main:sclick:1: {
  did -ra $dname 213 $gettok($did(1).seltext,6-,32)
  if ($did(1).sel == 2) { /opens | did -ra main 213 Главное меню настройки сообщений | did -ra main 223 /opens }
  if ($did(1).sel == 3) { /autoconnect | did -ra main 213 Меню авто-соединения | did -ra main 223 /autoconnect }
  if ($did(1).sel == 4) { /autojoin | did -ra main 213 Функция Авто входа на канал | did -ra main 223 /autojoin }
  if ($did(1).sel == 5) { dialog -m ident ident | did -ra main 213 Система Авто-идентификации ника | did -ra main 223 /dialog -m ident ident }
  if ($did(1).sel == 6) { /radio | did -ra main 213 Функция прослушка радио через интернет | did -ra main 223 /radio }
  if ($did(1).sel == 7) { /security | did -ra main 213 Система Защиты от атаки на вас, $me ! | did -ra main 223 /security }
  if ($did(1).sel == 8) { /skins | did -ra main 213 Функция смены оформление скрипта | did -ra main 223 /skins }
  if ($did(1).sel == 9) { /awayer | did -ra main 213 Система ухода в Авай | did -ra main 223 /awayer }
  if ($did(1).sel == 10) { /sex | did -ra main 213 Функция настройка стиля скрпита винамп и т.п | did -ra main 223 /sex }
  if ($did(1).sel == 11) { /alarm | did -ra main 213 Будильник | did -ra main 223 /alarm }
  if ($did(1).sel == 12) { /abook | did -ra main 213 Адресная книга | did -ra main 223 /abook }
  if ($did(1).sel == 13) { /virtkeyboard | did -ra main 213 Виртуальная клавиатура | did -ra main 223 /virtkeyboard  }
  if ($did(1).sel == 14) { /nickcolors | did -ra main 213 Разцветка ников | did -ra main 223 /nickcolors }
  if ($did(1).sel == 15) { /searchfind | did -ra main 213 Посковая функция (Нужен интернет) | did -ra main 223 /searchfind }
  if ($did(1).sel == 16) { /ico | did -ra main 213 Выбор Иконок | did -ra main 223 /ico }
  if ($did(1).sel == 17) { /propiska | did -ra main 213 Прописка Access | did -ra main 223 /propiska }
  if ($did(1).sel == 18) { /reslaptab |did -ra main 213 Быстрые клавиши | did -ra main 223 /reslaptab }
  if ($did(1).sel == 19) { /ppop.setup | did -ra main 213 Всплывающие сообщения | did -ra main 223 /ppop.setup }
  if ($did(1).sel == 20) { /eonickedits | did -ra main 213 Выделение чужого ника | did -ra main 223 /eonickedits }
  if ($did(1).sel == 21) { /antivirus | did -ra main 213 Система проверки на вирусы | did -ra main 223 /antivirus }
  if ($did(1).sel == 22) { /charlist | did -ra main 213 Код символов | did -ra main 223 /charlist }
  if ($did(1).sel == 23) { /blacklist | did -ra main 213 Список ваших обидчеков | did -ra main 223 /blacklist }
  if ($did(1).sel == 24) { /winampcontrol | did -ra main 213 Винамп котроллер | did -ra main 223 /winampcontrol }
  if ($did(1).sel == 25) { did -ra main 213 Главный сайт скрпита By Mirc-Love TeaM! | /run www.mirc-love.com }
  if ($did(1).sel == 26) { /charlist }
  if ($did(1).sel == 27) { /nickgen }
  if ($did(1).sel == 28) { /memoservcenter }
  if ($did(1).sel == 29) { /run $mircexe script\simple.ini } did -ra main 213 Главный сайт скрпита и неебет!
}
################################################################################################################
#                                                                     iRcop Script ICONS Meneger                                                                                                         #
################################################################################################################
alias ico if (!$dialog(ico)) dialog -m ico ico | else { dialog -x ico | dialog -m ico ico }
dialog ico {
  title "Выбор Стиля Иконок"
  size -1 -1 225 400
  option pixels
  icon $mircdirPics/Contacts.ico, 0 
  box "Выберите ICONS Для скрипта:" 77, 10 5 205 390
  icon 6, 140 23 295 55, sys\icons\Windous\1.ico
  icon 7, 140 66 295 55, sys\icons\Isometric\1.ico
  icon 8, 140 106 295 55, sys\icons\Gant\1.ico
  icon 9, 140 160 295 55, sys\icons\nIRC\1.ico
  icon 10, 140 210 295 55, sys\icons\Litho\1.ico
  icon 17, 35 310 10 110, stop.ico
  icon 11, 140 260 295 55, sys\icons\Power-toolbar\1.ico
  button "Windous" 350, 15 30 70 20
  button "Isometric" 351, 15 75 70 20
  button "Gant" 352, 15 120 70 20
  button "nIRC" 353, 15 170 70 20
  button "Litho" 354, 15 220 70 20
  button "Power-toolbar" 355, 15 270 70 20
  button "Применить", 100, 35 310 145 35, flat ok
}
on *:DIALOG:ico:sclick:100: { /iconsset }
on *:DIALOG:ico:sclick:350: { /set %icons Windous }
on *:DIALOG:ico:sclick:351: { /set %icons Isometric }
on *:DIALOG:ico:sclick:352: { /set %icons Gant }
on *:DIALOG:ico:sclick:353: { /set %icons nIRC }
on *:DIALOG:ico:sclick:354: { /set %icons Litho }
on *:DIALOG:ico:sclick:355: { /set %icons Power-toolbar }

on *:LOAD: {
  load -a imgmirc.ini
  set %imgmirc_config 213
  /im_config
}

on *:START: if ( %imgmirc_config & 1 == 1 ) im_preload
